package com.ruoyi.tjfx.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 基准数据实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("zs_tjfx_base_data")
public class BaseData {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 商品编号
     */
    @TableField("product_code")
    private String productCode;

    /**
     * 商品名称
     */
    @TableField("product_name")
    private String productName;

    /**
     * 品牌
     */
    @TableField("brand")
    private String brand;

    /**
     * 分类ID
     */
    @TableField("category_id")
    private Long categoryId;


    /**
     * 分类名称
     */
    private String categoryName;


    /**
     * 分类规格JSON
     */
    @TableField("category_specs")
    private String categorySpecs;

    /**
     * 创建时间
     */
    @TableField(value = "created_at", fill = FieldFill.INSERT)
    private LocalDateTime createdAt;

    /**
     * 更新时间
     */
    @TableField(value = "updated_at", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt;
}
