package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 任务组配置表
 * 对应表: dk_check_in_attendance_team
 */
@Data
@TableName("dk_check_in_attendance_team")
public class DkAttendanceGroup extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;

    /** 考勤组名称 */
    @TableField(value = "`name`")
    private String name;

    /** 描述 */
    @TableField(value = "`description`")
    private String description;

    /** 打卡时间 */
    @TableField(value = "`work_days`")
    private String workDays;

    /** 开始打卡时间 */
    @TableField(value = "`work_start_time`")
    private String workStartTime;

    /** 结束打卡时间 */
    @TableField(value = "`work_end_time`")
    private String workEndTime;

    /** 允许迟到 */
    @TableField(value = "`allow_late`")
    private Boolean allowLate;

    /** 迟到范围 */
    @TableField(value = "`late_range`")
    private Integer lateRange;

    /** 允许早退 */
    @TableField(value = "`allow_early`")
    private Boolean allowEarly;

    /** 早退范围 */
    @TableField(value = "`early_range`")
    private Integer earlyRange;

    /** 区域配置id */
    @TableField(value = "area_id")
    private long areaId;

    /** '午休开始时间' */
    @TableField(value = "lunch_start_time")
    private String lunchStartTime;

    /** '午休结束时间 */
    @TableField(value = "lunch_end_time")
    private String lunchEndTime;

    /** 午休时间 单位小时*/
    @TableField(value = "lunch_time")
    private String lunchTime;

}
