package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户年假管理表
 * 对应表: nj_balance_manage
 */
@Data
@TableName("nj_balance_manage")
public class NjBalanceManage extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;

    /** 员工编号 */
    @TableField(value = "`user_id`")
    private long userId;

    /** 员工姓名 */
    @TableField(value = "`user_name`")
    private String userName;

    /** 员工姓名 */
    @TableField(value = "`nick_name`")
    private String nickName;

    /** 部门名称 */
    @TableField(value = "`dept_name`")
    private String deptName;

    /** 年假总额 */
    @TableField(value = "`annual_leave`")
    private BigDecimal annualLeave;

    /** 已使用天数 */
    @TableField(value = "`used_day`")
    private BigDecimal usedDay;

    /** 剩余天数 */
    @TableField(value = "`unused_day`")
    private BigDecimal unusedDay;

    /** 上年结转 */
    @TableField(value = "`last_year_unused_day`")
    private BigDecimal lastYearUnusedDay;

    /** 状态 */
    @TableField(value = "`is_enable`")
    private Boolean isEnable;
}
