package com.ruoyi.zhushi.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 年假申请明细DTO
 */
@Data
public class NjBalanceManageDetailDTO extends BaseEntity {
    /** 主键ID */
    private long id;

    /** 员工编号 */
    private long userId;

    /** 员工姓名 */
    private String userName;

    /** 员工姓名 */
    private String nickName;

    /** 部门名称 */
    private String deptName;
    /** 已使用天数 */
    private BigDecimal usedDay;
    /** 申请日期 可能是多个日期的拼接 */
    private String applyDates;
    /** 状态
     * 0 待提交：员工发起请假申请，但还未提交给上级审批。
     *
     * 1 待审批：请假申请已提交，等待上级审批。
     *
     * 2 审批通过：上级已批准该请假申请。
     *
     * 3 驳回：上级未批准该请假申请，申请被驳回。
     *
     * 4 已作废：请假申请在审批过程中被取消或作废    */
    private String status;
}
