package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 年假配置表
 * 对应表: nj_rule_config
 */
@Data
@TableName("nj_rule_config")
public class NjRuleConfig extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;

    /** 规则名称 */
    @TableField(value = "`rule_name`")
    private String ruleName;

    /** 年假起算方式 1:自然年，2，入职周年 */
    @TableField(value = "`calculation_method`")
    private Integer calculationMethod;

    /** 年假发放规则 入职满一年（5天):5, 入职满10年（10天):10,入职满20年（15天）:15, 默认规则:0 */
    @TableField(value = "`annualLeave_tiers`")
    private Integer annualLeaveTiers;

    /** 年假有效期 true:当前年有效 */
    @TableField(value = "`validity_period`")
    private Boolean validityPeriod;

    /** 可否请半天年假 true:可以，false：不可以 */
    @TableField(value = "`allow_half_day`")
    private Boolean allowHalfDay;

    /** 适用范围  true:全部，false：指定员工 */
    @TableField(value = "`applicable_range`")
    private Boolean applicableRange;

    /** 生成周期 true:当前年一月一日 */
    @TableField(value = "`generation_cycle`")
    private Boolean generationCycle;

}
